package main

import (
	_ "hongze/hongze_data_crawler/routers"

	web "github.com/beego/beego/v2/server/web"

	"hongze/hongze_data_crawler/services"
)

func main() {
	if web.BConfig.RunMode == "dev" {
		web.BConfig.WebConfig.DirectoryIndex = true
		web.BConfig.WebConfig.StaticDir["/swagger"] = "swagger"
	}
	services.Task()
	web.Run()
}
